<template>
    <div>
        <h2 class="highest_score_title">Top 20 High Scores</h2>
        <div class="container-score first-row">
            <span>Rang</span>
            <span>Name</span>
            <span>Score</span>
            <span>Date</span>
        </div>
        <div v-for="scores in allScores" class="container-score" :key="scores.date">   
            <span>{{allScores.indexOf(scores) + 1}}</span>
            <span>{{scores.userName}}</span>
            <span>{{scores.score}}</span>
            <span class="date">{{scores.date}}</span>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapGetters, mapActions } from 'vuex';
export default {
    name: 'Scores',
    methods: {
        ...mapActions(['fetchScores']),
    },
    computed: mapGetters(['allScores']),
    created(): any {
        this.fetchScores();
    },
};
</script>


<style lang="scss">
.first-row.container-score > span{
    font-weight: bold;
}
.container-score{
    width: 95%;
    margin: auto;
    margin-top: 15px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    }
.container-score > span{
    width: 25%;
    text-align: center;
}
.date{
    font-size: 10px;
}
.highest_score_title{
    text-align: center;
    margin: 10%;
}
.container-score.first-row + .container-score{
    color: red
}
.container-score.first-row + .container-score + .container-score{
    color: orange
}
.container-score.first-row + .container-score + .container-score + .container-score{
    color: #ffc107cc
}
</style>
